StartupEvents.registry('item', event => {
    event.create('brass_funnel_blueprint')
        .displayName('黄铜漏斗 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('precision_mechanism_blueprint')
        .displayName('精密构件 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('steel_mechanism_blueprint')
        .displayName('集成工业构件 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('component_iron_blueprint')
        .displayName('铁机械零件 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('component_steel_blueprint')
        .displayName('钢机械零件 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('sheetmetal_iron_blueprint')
        .displayName('铁板金属 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('sheetmetal_steel_blueprint')
        .displayName('钢板金属 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
    event.create('diesel_engine_neo_blueprint')
        .displayName('大型燃油发电机 蓝图')
        .texture('kubejs:item/blueprint')
        .rarity('rare')
        .maxStackSize(64)
        .tooltip([
            '将加工过程编译为机器程序，用以在集成加工平台中使用的蓝图'
        ])
})

